nested_exception.h File Reference

Go to the source code of this file.

## Classes

class | std::nested_exception

## Namespaces

| std

## Functions

template<typename _Ex >
void | std::__attribute__ ((__noreturn__))
template<typename _Ex >
const nested_exception * | std::__get_nested_exception (const _Ex &__ex)
template<typename _Ex >
void | std::__throw_with_nested (_Ex &&,...) __attribute__((__noreturn__))
template<typename _Ex >
void | std::__throw_with_nested (_Ex &&__ex, const nested_exception *)
template<typename _Ex >
void | std::rethrow_if_nested (const _Ex &__ex)
void | std::rethrow_if_nested (const nested_exception &__ex)
template<typename _Ex >
void | std::throw_with_nested (_Ex __ex)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <exception>.

Definition in file nested_exception.h.